# FdoIInsert Class Reference

`#include <IInsert.h>`

Inheritance diagram for FdoIInsert:

[legend]

List of all members.

## Detailed Description

The FdoIInsert interface defines the Insert command, which inserts a new instance of a given class. Input to the insert command includes the name of the class and a collection of property values. Properties that are not specified and do not have a default value will be assigned a null value or an exception will be thrown if the property is required. The insert command can insert instances at global scope or instances nested within an object collection property. Instances at global scope are referred to simply by the class name. Instances at a nested scope (i.e. instances within a object collection property) are referred to by the containing class name, followed by a '.', followed by the object collection property name.

Definition at line 45 of file IInsert.h.

## Public Member Functions
virtual FDO_API FdoIFeatureReader * | Execute ()=0
| Executes the insert command and returns a reference to an FdoIFeatureReader. Some feature providers can generate automatic identity values for features. This will happen automatically as the features are inserted. The returned FdoIFeatureReader allows the client to obtain the automatic identity property value(s) of newly inserted object(s). The returned feature reader at a minimum will read the unique identity properties of the objects just inserted. Multiple objects will be returned through the reader in the case of a batch insert.
virtual FDO_API FdoBatchParameterValueCollection * | GetBatchParameterValues ()=0
| Gets the FdoBatchParameterValueCollection that can be used for optimized batch inserts of multiple features with a single insert command. Batch inserts can be performed by using Parameters for each of the property values, then adding collections of parameter values to the FdoBatchParameterValueCollection. Each FdoParameterValueCollection in the FdoBatchParameterValueCollection should contain one FdoParameterValue for each of the parameters specified for property values.
virtual FDO_API FdoIdentifier * | GetFeatureClassName ()=0
| Gets the name of the class to be operated upon as an FdoIdentifier.
virtual FDO_API FdoPropertyValueCollection * | GetPropertyValues ()=0
| Gets the FdoPropertyValueCollection that specifies the names and values of the properties for the instance to be inserted.
virtual FDO_API void | SetFeatureClassName (FdoString *value)=0
| Sets the name of the class to be operated upon as an FdoIdentifier.
virtual FDO_API void | SetFeatureClassName (FdoIdentifier *value)=0
| Sets the name of the class to be operated upon as an FdoIdentifier.
## Friends
class | FdoIConnection

The documentation for this class was generated from the following file:

- IInsert.h